KintsugiKintsugi
API reference / Create exemption

Create exemption

POST/v1/exemptions

The Create Exemption API allows you to create a new exemption record. This includes defining details such as exemption type, jurisdiction, Country, State, validity dates, etc.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

x-organization-idstringRequired

Identifies the organization this request acts on.

Body

exemption_typeExemptionTypeRequired

The type of exemption (e.g., wholesale, resale)

Available options:customerwholesaletransaction
jurisdictionstring

The jurisdiction identifier for the exemption

country_codeCountryCodeEnum

Country code in ISO 3166-1 alpha-2 format (e.g., 'US')

Available options:AFAXALDZASADAOAIAQAGARAMAWAUATAZBSBHBDBBBYBEBZBJBMBTBOBQBABWBVBRIOBNBGBFBICVKHCMCAKYCFTDCLCNCXCCCOKMCGCDCKCRHRCUCWCYCZDKDJDMDOECEGSVGQEREESZETFKFOFJFIFRGFPFTFGAGMGEDEGHGIGRGLGDGPGUGTGGGNGWGYHTHMVAHNHKHUISINIDIRIQIEIMILITCIJMJPJEJOKZKEKIKPKRKWKGLALVLBLSLRLYLILTLUMOMGMWMYMVMLMTMHMQMRMUYTMXFMMDMCMNMEMSMAMZMMNANRNPNLNCNZNINENGNUNFMKMPNOOMPKPWPSPAPGPYPEPHPNPLPTPRQARERORURWBLSHKNLCMFPMVCWSSMSTSASNRSSCSLSGSXSKSISBSOZAGSSSESLKSDSRSJSECHSYTWTJTZTHTLTGTKTOTTTNTRTMTCTVUGUAAEGBUSUMUYUZVUVEVNVGVIWFEHYEZMZWXKZZ_EU
start_datestringRequired

Start date for the exemption validity period (YYYY-MM-DD format)

end_datestring

End date for the exemption validity period (YYYY-MM-DD format)

customer_idstringRequired

Unique identifier for the customer associated with the exemption

transaction_idstring

Unique identifier for the transaction, if applicable

resellerboolean

Indicates whether the exemption is for a reseller

FEINstringRequired

Federal Employer Identification Number

sales_tax_idstringRequired

Sales tax ID for the exemption

statusExemptionStatusRequired

The status of the exemption

Available options:ACTIVEINACTIVEEXPIREDDEACTIVATEDARCHIVED

Response

country_codeCountryCodeEnum

Country code in ISO 3166-1 alpha-2 format (e.g., 'US')

Available options:AFAXALDZASADAOAIAQAGARAMAWAUATAZBSBHBDBBBYBEBZBJBMBTBOBQBABWBVBRIOBNBGBFBICVKHCMCAKYCFTDCLCNCXCCCOKMCGCDCKCRHRCUCWCYCZDKDJDMDOECEGSVGQEREESZETFKFOFJFIFRGFPFTFGAGMGEDEGHGIGRGLGDGPGUGTGGGNGWGYHTHMVAHNHKHUISINIDIRIQIEIMILITCIJMJPJEJOKZKEKIKPKRKWKGLALVLBLSLRLYLILTLUMOMGMWMYMVMLMTMHMQMRMUYTMXFMMDMCMNMEMSMAMZMMNANRNPNLNCNZNINENGNUNFMKMPNOOMPKPWPSPAPGPYPEPHPNPLPTPRQARERORURWBLSHKNLCMFPMVCWSSMSTSASNRSSCSLSGSXSKSISBSOZAGSSSESLKSDSRSJSECHSYTWTJTZTHTLTGTKTOTTTNTRTMTCTVUGUAAEGBUSUMUYUZVUVEVNVGVIWFEHYEZMZWXKZZ_EU
jurisdictionstring

The jurisdiction identifier for the exemption

start_datestringRequired

Start date for the exemption validity period (YYYY-MM-DD format)

end_datestring

End date for the exemption validity period (YYYY-MM-DD format)

transaction_idstring

Unique identifier for the transaction, if applicable

resellerboolean

Indicates whether the exemption is for a reseller

FEINstring

Federal Employer Identification Number

sales_tax_idstring

Sales tax ID for the exemption

idstringRequired

Unique identifier for the exemption

customerCustomerRead

Details of the customer associated with the exemption

attachmentAttachmentRead[]

List of attachments related to the exemption

exemption_typeExemptionTypeRequired

Type of exemption

Available options:customerwholesaletransaction
statusExemptionStatusRequired

Status of the exemption. Possible values: ACTIVE, INACTIVE, EXPIRED.

Available options:ACTIVEINACTIVEEXPIREDDEACTIVATEDARCHIVED
200

Successfully created exemption

401

The request is missing a valid x-api-key or x-organization-id

422

Validation issues, such as missing required fields or invalid field values.

500

Internal Server Error

cURL
POST /v1/exemptions
-H "x-api-key: ***"
-H "x-organization-id: ***"
{
"exemption_type": "wholesale",
"jurisdiction": "CA",
"country_code": "US",
"start_date": "2024-01-01",
"end_date": "2026-01-01",
"customer_id": "cust_001",
"transaction_id": "txn_123",
"reseller": true,
"FEIN": "12-3456789",
"sales_tax_id": "ST-98765",
"status": "ACTIVE"
}
Response
{
"country_code": "US",
"jurisdiction": "CA",
"start_date": "2024-01-01",
"end_date": "2026-01-01",
"reseller": true,
"FEIN": "random",
"sales_tax_id": "ST",
"id": "exmp_HMV56Cb5jYuRD",
"customer": {
"phone": "987-654-3210",
"street_1": "456 Elm St",
"street_2": "Suite 202",
"city": "Metropolis",
"county": "Wayne",
"state": "NY",
"postal_code": "10001",
"country": "US",
"full_address": "456 Elm St, Suite 202, Metropolis, NY 10001, US",
"name": "Jane Smith",
"external_id": "cust_002",
"status": "ARCHIVED",
"email": "",
"source": "SHOPIFY",
"address_status": "UNVERIFIED",
"id": "cust_H5NTxERcncfEN",
"organization_id": "orgn_argaLQwMy2fJc"
},
"attachment": [],
"exemption_type": "wholesale",
"status": "ACTIVE"
}